# ApplicationFramework
TKCDF
LDOM

# LDOM_OSStream Class Reference

`#include <LDOM_OSStream.hxx>`

## Public Member Functions

Standard_EXPORT | LDOM_OSStream (const Standard_Integer theMaxBuf)
Standard_CString | str () const
Standard_Integer | Length () const
void | Clear ()

## Private Attributes

LDOM_SBuffer | myBuffer

## Constructor & Destructor Documentation

Standard_EXPORT LDOM_OSStream::LDOM_OSStream | ( | const Standard_Integer | theMaxBuf | ) |

## Member Function Documentation

void LDOM_OSStream::Clear | ( |  | ) | `[inline]`

Standard_Integer LDOM_OSStream::Length | ( |  | ) | const`[inline]`

Standard_CString LDOM_OSStream::str | ( |  | ) | const`[inline]`

## Field Documentation

LDOM_SBuffer LDOM_OSStream::myBuffer `[private]`

The documentation for this class was generated from the following file:

- LDOM_OSStream.hxx